<div class="carousel">
  <ngb-carousel *ngIf="images" [showNavigationArrows]="true">
    <ng-template ngbSlide *ngFor="let image of images">
      <div class="picsum-img-wrapper">
        <div class="image-container">
          <img  [src]="image" alt="Random first slide">
        </div>
      </div>
    </ng-template>
  </ngb-carousel>
</div>

<div class="container">
  <mat-card>
    <mat-card-title class="compositeEventTitle" [id]="'title'+event.id">{{event.name}}</mat-card-title>
    <mat-divider></mat-divider>
    <mat-card-content>
      <br>
      <h5>Events included:</h5>
      <app-event-list [events]="event.childEvents"></app-event-list>
    </mat-card-content>
    <mat-card-actions>
      <div class="button-container">
        <button id="makeReservationButton" class="res-button" mat-raised-button color="primary" [routerLink]="['/reservation/', event.id]">Make Reservation For Entire Event</button> <!-- TODO implement button -->
      </div>
    </mat-card-actions>
  </mat-card>

</div>
